Bug 72246 - [MAINTAINER] palm/synce-librapi2: update to 0.9.0
[MAINTAINER] palm/synce-librapi2: update to 0.9.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-02 08:10 UTC by boris
Modified: 2005-01-08 21:44 UTC (History)
1 user (show)

See Also:


Attachments
synce-librapi2-0.9.0.patch (1.06 KB, patch)
2004-10-02 08:10 UTC, boris
no flags Details | Diff
patch-rapi_buffer.c (334 bytes, text/plain)
2005-01-08 07:59 UTC, boris
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description boris 2004-10-02 08:10:22 UTC
- Update to 0.9.0
Comment 1 pav freebsd_committer 2004-10-03 11:59:00 UTC
State Changed
From-To: open->feedback

Does not compile on FreeBSD 4.x: 

cc -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/local/include -g -Wall -Wsign-compare -Wno-long-long -Werror -ansi -O -pipe -I.. -O -pipe -c rapi_buffer.c -Wp,-MD,.deps/rapi_buffer.TPlo  -fPIC -DPIC -o .libs/rapi_buffer.lo 
cc1: warnings being treated as errors 
rapi_buffer.c: In function `rapi_buffer_send': 
rapi_buffer.c:501: warning: assignment from incompatible pointer type 
*** Error code 1 



Comment 2 pav freebsd_committer 2004-10-03 11:59:00 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Handle
Comment 3 boris 2005-01-08 07:59:56 UTC
Add the attached patch in files/ to fix non-buildingness on 4.x.



Comment 4 pav freebsd_committer 2005-01-08 21:43:57 UTC
State Changed
From-To: feedback->closed

Yep patch worked. 
Committed, thanks!